### Method

# Ide Task set_release_on_propagate

#### Declaration

    void
    ide_task_set_release_on_propagate (
      IdeTask* self,
      gboolean release_on_propagate
    )

#### Description

Setting this to `TRUE` (the default) ensures that the task will release all task data and source_object references after executing the configured callback. This is useful to ensure that dependent objects are finalized in the thread-default `GMainContext` the task was created in.

Generally, you want to leave this as `TRUE` to ensure thread-safety on the dependent objects and task data.

Available since: | 3.32

#### Parameters

`release_on_propagate` | `gboolean`
| If data should be released on propagate.